[RCD] plugins, composer and automatic_addressbook plugin

till till at php.net
Mon Feb 2 03:39:35 CET 2015


You could use "@stable"

Or... something like "1.x"

On Fri, Jan 30, 2015 at 10:08 PM, Sébastien BLAISOT <sebastien at blaisot.org>
wrote:

> Hi all,
>
> I'm proud to inform you that I finally found how to migrate the
> automatic_addressbook plugin from svn to git.
> The tricky part was the layout change somewhere back in the project's
> history as I didn't want to loose some of the commit history.
>
> Now as the git repo is clean and has all commit history, I published it on
> github and imported on roundcube's plugin repository.
>
> So I began to play with composer.
>
> When adding automatic_addressbook in my composer.json, I get it installed,
> but it installed me the dev-master branch. I thought that only published
> versions (tags) were installed unless specifically specified.
>
> What is the correct/prefferred way to tell composer to only install
> "stable" versions of a plugin ?
>
> regards,
>
> --
> Sébastien
> 圣巴斯弟盎
>
>
>
> _______________________________________________
> Roundcube Development discussion mailing list
> dev at lists.roundcube.net
> http://lists.roundcube.net/mailman/listinfo/dev
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.roundcube.net/pipermail/dev/attachments/20150202/87ed59b0/attachment.html>


More information about the dev mailing list